/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.records;


import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.BackclaimInProgress;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record2;
import org.jooq.Row2;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class BackclaimInProgressRecord extends UpdatableRecordImpl<BackclaimInProgressRecord> implements Record2<Short, String> {

    private static final long serialVersionUID = 64181058;

    /**
     * Setter for <code>BACKCLAIM_IN_PROGRESS.ID_BACKCLAIM_IN_PROGRESS</code>.
     */
    public void setIdBackclaimInProgress(Short value) {
        set(0, value);
    }

    /**
     * Getter for <code>BACKCLAIM_IN_PROGRESS.ID_BACKCLAIM_IN_PROGRESS</code>.
     */
    public Short getIdBackclaimInProgress() {
        return (Short) get(0);
    }

    /**
     * Setter for <code>BACKCLAIM_IN_PROGRESS.DESCRIPTION</code>.
     */
    public void setDescription(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>BACKCLAIM_IN_PROGRESS.DESCRIPTION</code>.
     */
    public String getDescription() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Short> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record2 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row2<Short, String> fieldsRow() {
        return (Row2) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row2<Short, String> valuesRow() {
        return (Row2) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Short> field1() {
        return BackclaimInProgress.BACKCLAIM_IN_PROGRESS.ID_BACKCLAIM_IN_PROGRESS;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return BackclaimInProgress.BACKCLAIM_IN_PROGRESS.DESCRIPTION;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Short component1() {
        return getIdBackclaimInProgress();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getDescription();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Short value1() {
        return getIdBackclaimInProgress();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getDescription();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BackclaimInProgressRecord value1(Short value) {
        setIdBackclaimInProgress(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BackclaimInProgressRecord value2(String value) {
        setDescription(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BackclaimInProgressRecord values(Short value1, String value2) {
        value1(value1);
        value2(value2);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached BackclaimInProgressRecord
     */
    public BackclaimInProgressRecord() {
        super(BackclaimInProgress.BACKCLAIM_IN_PROGRESS);
    }

    /**
     * Create a detached, initialised BackclaimInProgressRecord
     */
    public BackclaimInProgressRecord(Short idBackclaimInProgress, String description) {
        super(BackclaimInProgress.BACKCLAIM_IN_PROGRESS);

        set(0, idBackclaimInProgress);
        set(1, description);
    }
}
